Package org.codehaus.janino.util.signature

# Class SignatureParser.ClassTypeSignature

java.lang.Object
org.codehaus.janino.util.signature.SignatureParser.ClassTypeSignature

All Implemented Interfaces:
  `SignatureParser.FieldTypeSignature`, `SignatureParser.ThrowsSignature`, `SignatureParser.TypeSignature`

Enclosing class:
  `SignatureParser`

public static class SignatureParser.ClassTypeSignature extends Object implements SignatureParser.ThrowsSignature, SignatureParser.FieldTypeSignature
Representation of the "ClassTypeSignature" clause, e.g. '`pkg.Outer<T>.Inner<U>`'.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`packageSpecifier`
{ identifier '/' }
`final String`
`simpleClassName`
identifier
`final List<SignatureParser.SimpleClassTypeSignature>`
`suffixes`
The nested types.
`final List<SignatureParser.TypeArgument>`
`typeArguments`
The `SignatureParser.TypeArgument`s of this class.

## Constructor Summary

Constructors
Constructor
Description
`ClassTypeSignature(String packageSpecifier, String simpleClassName, List<SignatureParser.TypeArgument> typeArguments, List<SignatureParser.SimpleClassTypeSignature> suffixes, SignatureParser.Options options)`

## Method Summary

Modifier and Type
Method
Description
`<T, EX extends Throwable>
T`
`accept(SignatureParser.FieldTypeSignatureVisitor<T,EX> visitor)`
`String`
`toString()`
Converts this class type signature into a nice, human-readable string, e.g.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### packageSpecifier

public final String packageSpecifier

    { identifier '/' }

### simpleClassName

public final String simpleClassName

    identifier

### typeArguments

public final List<SignatureParser.TypeArgument> typeArguments
The `SignatureParser.TypeArgument`s of this class.

### suffixes

public final List<SignatureParser.SimpleClassTypeSignature> suffixes
The nested types.

## Constructor Details

### ClassTypeSignature

public ClassTypeSignature(String packageSpecifier, String simpleClassName, List<SignatureParser.TypeArgument> typeArguments, List<SignatureParser.SimpleClassTypeSignature> suffixes, SignatureParser.Options options)

Parameters:
  `packageSpecifier` - `{ identifier '/' }`

## Method Details

### accept

public <T, EX extends Throwable> T accept(SignatureParser.FieldTypeSignatureVisitor<T,EX> visitor) throws EX

Specified by:
  `accept` in interface `SignatureParser.FieldTypeSignature`
Throws:
  `EX`

### toString

public String toString()
Converts this class type signature into a nice, human-readable string, e.g. `"pkg.Outer<T>.Inner<U>"`.

Specified by:
  `toString` in interface `SignatureParser.FieldTypeSignature`
Specified by:
  `toString` in interface `SignatureParser.TypeSignature`
Overrides:
  `toString` in class `Object`